Page MenuHomePhabricator

O2. No pagination on history pages
Closed, ResolvedPublic5 Story Points

Description

Flow board history doesn't include the pagination that all other history pages have. At the top and bottom of the history page, there should be a line that says:

(newest | oldest) View (newer 50 | older 50) (20 | 50 | 100 | 250 | 500)

eg. https://www.mediawiki.org/w/index.php?title=Talk:Flow&action=history has ~300 entries.

It should follow the user-preference set by "rclimit" (default 50, see https://www.mediawiki.org/wiki/Manual:$wgDefaultUserOptions )


Old Trello card: https://trello.com/c/W6JdHICk/482-paginate-the-board-history-2

Details

Reference
bz65088

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:13 AM
bzimport set Reference to bz65088.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity created this task.May 9 2014, 6:53 PM

I wonder how topic history, e.g. https://www.mediawiki.org/w/index.php?title=Talk:Flow&workflow=rquasteiavkguarf&action=history handles hundreds of changes. Have we had any topics with a ton of activity?

(In reply to spage from comment #1)

I wonder how topic history, e.g.
<https://www.mediawiki.org/w/index.php?title=Talk:
Flow&workflow=rquasteiavkguarf&action=history> handles hundreds of changes.
Have we had any topics with a ton of activity?

I believe Topic histories are meant to be getting the same makeover that Board histories got (ie. to look like a standard history page.). That's tracked at https://trello.com/c/v9Xad55m/104-topic-history-changes

  • Bug 65090 has been marked as a duplicate of this bug. ***

I'm merging bug 65090 to here, with two comments copied across:

(Quiddity wrote)

This page's History goes back to "05:32, 25 February 2014"
https://www.mediawiki.org/w/index.php?title=Talk:Flow&action=history
but the page itself dates back to "23:24, 11 December 2013"
There are similar problems at other pages, eg.
https://en.wikipedia.org/wiki/Wikipedia_talk:Flow/Developer_test_page
(7 February 2014 vs 3 February 2014)

(bsitu wrote)

This is "expected". We only populate the most recent 500 entries and
display the most recent 300 entries of a board history. Fetching and
displaying all at once is obviously not a good idea. Maybe we could add
pagination to the history, for example, 200 entries per load. This would
require some backend change to support pagination.

I'm wondering whether this is an issue from a legal point of view? If I go to see http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow%20QA?action=history I cannot see any history pre-September 3rd (yesterday).

matthiasmullie triaged this task as Normal priority.Dec 10 2014, 4:43 PM
matthiasmullie set Security to None.
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:26 AM
DannyH renamed this task from No pagination on history pages to [5] No pagination on history pages.Jan 12 2015, 8:08 PM
DannyH moved this task from Untriaged to Ready for next sprint on the Collaboration-Team-Triage board.
Quiddity updated the task description. (Show Details)Jan 12 2015, 8:11 PM
DannyH renamed this task from [5] No pagination on history pages to [5] O2. No pagination on history pages.Jan 12 2015, 9:23 PM
gerritbot added a subscriber: gerritbot.

Change 187309 had a related patch set uploaded (by Matthias Mullie):
Add navbar to board history storage

https://gerrit.wikimedia.org/r/187309

Patch-For-Review

Above is for board history.
Topic history is also different - working on that next.

Change 187606 had a related patch set uploaded (by Matthias Mullie):
Add navbar to topic & post history

https://gerrit.wikimedia.org/r/187606

Patch-For-Review

Above patch is for topic & (unused, afaict) post history.

DannyH renamed this task from [5] O2. No pagination on history pages to O2. No pagination on history pages.Feb 4 2015, 11:41 PM

Change 187309 merged by jenkins-bot:
Add navbar to board history storage

https://gerrit.wikimedia.org/r/187309

Change 187606 merged by jenkins-bot:
Add navbar to topic & post history

https://gerrit.wikimedia.org/r/187606

Should we add another navbar to the top, like core does for regular pages? See http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow%20QA?action=history .

This can be done easily.

In T67088#1020006, @Mattflaschen wrote:

Should we add another navbar to the top, like core does for regular pages? See http://en.wikipedia.beta.wmflabs.org/wiki/Talk:Flow%20QA?action=history .
This can be done easily.

Yes please.

(Each step closer to the standard, is good.
http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Main_Page&action=history
http://en.wikipedia.beta.wmflabs.org/w/index.php?title=Main_Page&action=history&uselang=qqx

Change 188979 had a related patch set uploaded (by Mattflaschen):
Add pagination navbar to top of history page as well

https://gerrit.wikimedia.org/r/188979

Patch-For-Review

Done (pending review). It's slightly more claustrophobic, IMHO, without the "Compare selected revisions" buttons (which don't really make sense in our context, currently).

However, that doesn't block merging the patch or resolving this bug.

Change 188979 merged by jenkins-bot:
Add pagination navbar to top of history page as well

https://gerrit.wikimedia.org/r/188979

DannyH closed this task as Resolved.Feb 6 2015, 10:14 PM

Works on beta!